# pandas.Index.difference

Index.difference(other, sort=None)

  Return a new Index with elements of index not in other.

  This is the set difference of two Index objects.

  Parameters
    other Index or array-like
    sort False or None, default None

      Whether to sort the resulting index. By default, the values are attempted to be sorted, but any TypeError from incomparable elements is caught by pandas.

      - None : Attempt to sort the result, but catch any TypeErrors from comparing incomparable elements.

      - False : Do not sort the result.

  Returns
    difference Index

  Examples

      >>> idx1 = pd.Index([2, 1, 3, 4])
      >>> idx2 = pd.Index([3, 4, 5, 6])
      >>> idx1.difference(idx2)
      Int64Index([1, 2], dtype='int64')
      >>> idx1.difference(idx2, sort=False)
      Int64Index([2, 1], dtype='int64')